From e04fcfa9ce1f667943591f6fbb519e4538ee5e88 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 17 2020 16:02:05 +0000
Subject: [PATCH 1437/2232] Switch overview.svg to svgbob


---

diff --git a/book/diagram/Makefile b/book/diagram/Makefile
index 11486ee..161da34 100644
--- a/book/diagram/Makefile
+++ b/book/diagram/Makefile
@@ -1,13 +1,10 @@
 all: overview.svg
 
-bin/asciitosvg:
-	rm -rf build
-	mkdir -p bin build/src/github.com/asciitosvg
-	git clone https://github.com/dtolnay/asciitosvg build/src/github.com/asciitosvg/asciitosvg
-	GOPATH=${CURDIR}/build go build -o $@ ./build/src/github.com/asciitosvg/asciitosvg/cmd/a2s
-
-%.svg: %.ascii bin/asciitosvg
-	bin/asciitosvg -i $< -o $@ -b
+build/bin/svgbob:
+	cargo install --git https://github.com/ivanceras/svgbob --rev df01674c47350665158ececa476e63f51c58a9c7 --root build
+
+%.svg: %.ascii build/bin/svgbob
+	build/bin/svgbob $< > $@
 
 clean:
 	rm -f *.svg
diff --git a/book/diagram/overview.ascii b/book/diagram/overview.ascii
index c5491e4..06323ca 100644
--- a/book/diagram/overview.ascii
+++ b/book/diagram/overview.ascii
@@ -1,15 +1,13 @@
-                         .-------------------------------.
-                         |                               |
-                         |      #[cxx::bridge] mod       |
-                         | definitions and declarations  |
-                         '---------------+---------------'
-                                         |
-                                         |
-                        Macro expansion  | Code generation (cxx_build, etc)
-                         +---------------+---------------+
-                         |                               |
-         Safe            |                               |
-    straightforward      v         C ABI (hidden         v      Straightforward
-       Rust APIs  .-------------.    to users)     .------------.  C++ APIs
-Rust <----------->|Rust bindings|<================>|C++ bindings|<-----------> C++
-code              '-------------'                  '------------'              code
+                            .-----------------------------.
+                           |     #[cxx::bridge]  mod       |
+                           | definitions and declarations  |
+                            '--------------+--------------'
+                                           |
+                                           |
+                         "Macro expansion" |  "Code generation"
+                           +---------------+---------------+
+         Safe              |                               |
+    straightforward        v                               v      Straightforward
+       "Rust APIs".----------------. "Hidden C ABI".---------------.  "C++ APIs"
+Rust <----------->| "Rust bindings"|<~~~~~~~~~~~~~>| "C++ bindings"|<-----------> "C++"
+code              '----------------'               '---------------'              code
